<?xml version="1.0" encoding="UTF-8"?>
<project>
  <modelVersion>4.0.0</modelVersion>
  <groupId>jp.sf.fess</groupId>
  <artifactId>fess</artifactId>
  <version>3.1.2</version>
  <packaging>war</packaging>
  <name>Fess</name>
  <description>Fess is Full tExt Search System.</description>
  <url>http://fess.sourceforge.jp/</url>
  <inceptionYear>2009</inceptionYear>
  <licenses>
    <license>
      <name>The Apache Software License, Version 2.0</name>
      <url>http://www.apache.org/licenses/LICENSE-2.0.txt</url>
      <distribution>repo</distribution>
    </license>
  </licenses>
  <organization>
    <name>Fess</name>
    <url>http://sourceforge.jp/projects/fess/</url>
  </organization>
  <developers>
    <developer>
      <id>shinsuke</id>
      <name>Shinsuke Sugaya</name>
      <email>shinsuke_at_yahoo.co.jp</email>
      <url>http://d.hatena.ne.jp/shinsuke_sugaya/</url>
    </developer>
    <developer>
      <id>sone</id>
      <name>Takaaki SONE</name>
    </developer>
  </developers>
  <issueManagement>
    <url><![CDATA[http://sourceforge.jp/projects/fess/ticket/]]></url>
  </issueManagement>
  <distributionManagement>
    <repository>
      <id>fess-repository</id>
      <url>scpexe://shell.sourceforge.jp:/home/groups/f/fe/fess/htdocs/repository/</url>
    </repository>
    <site>
      <id>fess-site</id>
      <url>scpexe://shell.sourceforge.jp:/home/groups/f/fe/fess/htdocs/</url>
    </site>
  </distributionManagement>
  <scm>
    <connection>scm:svn:http://svn.sourceforge.jp/svnroot/fess/fess/trunk</connection>
    <developerConnection>scm:svn:https://svn.sourceforge.jp/svnroot/fess/fess/trunk</developerConnection>
    <url>http://sourceforge.jp/projects/fess/svn/view/</url>
  </scm>
  <mailingLists>
    <mailingList>
      <name>User List</name>
      <subscribe>http://lists.sourceforge.jp/mailman/listinfo/fess-user</subscribe>
      <unsubscribe>http://lists.sourceforge.jp/mailman/listinfo/fess-user</unsubscribe>
      <post>fess-user@lists.sourceforge.jp</post>
      <archive>http://sourceforge.jp/projects/fess/lists/archive/user/</archive>
    </mailingList>
  </mailingLists>
  <build>
    <finalName>fess</finalName>
    <plugins>
      <plugin>
        <artifactId>maven-compiler-plugin</artifactId>
        <configuration>
          <source>1.6</source>
          <target>1.6</target>
          <encoding>UTF-8</encoding>
        </configuration>
      </plugin>
      <plugin>
        <artifactId>maven-source-plugin</artifactId>
        <executions>
          <execution>
            <id>source-jar</id>
            <phase>package</phase>
            <goals>
              <goal>jar</goal>
            </goals>
          </execution>
        </executions>
      </plugin>
      <plugin>
        <groupId>org.apache.maven.plugins</groupId>
        <artifactId>maven-war-plugin</artifactId>
        <version>2.1-beta-1</version>
        <configuration>
          <warSourceExcludes>WEB-INF/classes/**/*.*,WEB-INF/lib/*.jar</warSourceExcludes>
        </configuration>
      </plugin>
      <plugin>
        <artifactId>maven-site-plugin</artifactId>
        <configuration>
          <locales>en,ja</locales>
          <inputEncoding>UTF-8</inputEncoding>
          <outputEncoding>UTF-8</outputEncoding>
        </configuration>
      </plugin>
      <plugin>
        <artifactId>maven-clean-plugin</artifactId>
        <configuration>
          <filesets>
            <fileset>
              <directory>src/main/webapp/WEB-INF/classes</directory>
            </fileset>
            <fileset>
              <directory>src/main/webapp/WEB-INF/lib</directory>
            </fileset>
          </filesets>
        </configuration>
      </plugin>
      <plugin>
        <groupId>org.apache.maven.plugins</groupId>
        <artifactId>maven-antrun-plugin</artifactId>
        <version>1.3</version>
        <executions>
          <execution>
            <id>delete-lib-dir</id>
            <phase>initialize</phase>
            <configuration>
              <tasks>
                <delete dir="${basedir}/src/main/webapp/WEB-INF/lib"/>
              </tasks>
            </configuration>
            <goals>
              <goal>run</goal>
            </goals>
          </execution>
          <execution>
            <id>compile-test-resources</id>
            <phase>test-compile</phase>
            <configuration>
              <tasks>
                <mkdir dir="${basedir}/target/test-classes/db"/>
              </tasks>
            </configuration>
            <goals>
              <goal>run</goal>
            </goals>
          </execution>
        </executions>
      </plugin>
      <plugin>
        <artifactId>maven-javadoc-plugin</artifactId>
        <configuration>
          <encoding>UTF-8</encoding>
          <docencoding>UTF-8</docencoding>
          <charset>UTF-8</charset>
          <links>
            <link>http://java.sun.com/javaee/5/docs/api/</link>
            <link>http://java.sun.com/j2se/1.5.0/ja/docs/ja/api/</link>
            <link>http://aopalliance.sourceforge.net/doc/</link>
            <link>http://www.csg.is.titech.ac.jp/~chiba/javassist/html/</link>
            <link>http://www.junit.org/junit/javadoc/4.3/</link>
            <link>http://www.junit.org/junit/javadoc/3.8.1/</link>
            <link>http://s2container.seasar.org/2.4/s2-framework/ja/apidocs/</link>
            <link>http://s2container.seasar.org/2.4/s2-extension/ja/apidocs/</link>
            <link>http://s2container.seasar.org/2.4/s2-tiger/ja/apidocs/</link>
            <link>http://s2robot.sandbox.seasar.org/apidocs/</link>
          </links>
        </configuration>
        <executions>
          <execution>
            <phase>site</phase>
            <goals>
              <goal>javadoc</goal>
            </goals>
          </execution>
        </executions>
      </plugin>
      <plugin>
        <groupId>org.apache.maven.plugins</groupId>
        <artifactId>maven-dependency-plugin</artifactId>
        <version>2.1</version>
        <executions>
          <execution>
            <goals>
              <goal>copy-dependencies</goal>
            </goals>
            <configuration>
              <outputDirectory>src/main/webapp/WEB-INF/lib</outputDirectory>
              <excludeScope>provided</excludeScope>
              <overWriteIfNewer>true</overWriteIfNewer>
              <overWriteReleases>true</overWriteReleases>
              <overWriteSnapshots>true</overWriteSnapshots>
            </configuration>
          </execution>
        </executions>
      </plugin>
      <plugin>
        <groupId>org.apache.maven.plugins</groupId>
        <artifactId>maven-eclipse-plugin</artifactId>
        <version>2.7</version>
        <configuration>
          <buildOutputDirectory>src/main/webapp/WEB-INF/classes</buildOutputDirectory>
          <downloadSources>true</downloadSources>
        </configuration>
      </plugin>
      <plugin>
        <groupId>org.seasar.dbflute</groupId>
        <artifactId>maven-dbflute-plugin</artifactId>
        <version>0.3.0</version>
        <configuration>
          <dbfluteVersion>0.9.5.1</dbfluteVersion>
          <rootPackage>jp.sf.fess</rootPackage>
          <dbPackage>jp.sf.fess.db</dbPackage>
          <actionPackageName>action.admin</actionPackageName>
          <formPackageName>form.admin</formPackageName>
          <jspDir>${basedir}/src/main/webapp/WEB-INF/view/admin</jspDir>
          <schemaName>fess</schemaName>
          <schemaFile>${basedir}/dbflute_fess/schema/project-schema-fess.xml</schemaFile>
          <databaseUrl>jdbc:h2:file:${basedir}/src/main/webapp/WEB-INF/db/fess</databaseUrl>
        </configuration>
      </plugin>
      <plugin>
        <groupId>com.mycila.maven-license-plugin</groupId>
        <artifactId>maven-license-plugin</artifactId>
        <version>1.5.0</version>
        <configuration>
          <header>${basedir}/src/etc/header.txt</header>
          <includes>
            <include>src/**/*.java</include>
          </includes>
          <encoding>UTF-8</encoding>
          <headerDefinitions>
            <headerDefinition>${basedir}/src/etc/header-definition.xml</headerDefinition>
          </headerDefinitions>
        </configuration>
      </plugin>
      <plugin>
        <artifactId>maven-site-plugin</artifactId>
        <configuration>
          <locales>en,ja</locales>
          <inputEncoding>UTF-8</inputEncoding>
          <outputEncoding>UTF-8</outputEncoding>
        </configuration>
      </plugin>
      <plugin>
        <groupId>org.codehaus.mojo</groupId>
        <artifactId>sql-maven-plugin</artifactId>
        <version>1.2</version>
        <dependencies>
          <dependency>
            <groupId>com.h2database</groupId>
            <artifactId>h2</artifactId>
            <version>1.2.136</version>
          </dependency>
        </dependencies>
        <configuration>
          <driver>org.h2.Driver</driver>
          <url>jdbc:h2:file:${basedir}/target/test-classes/db/fess</url>
          <username>sa</username>
          <password/>
        </configuration>
        <executions>
          <execution>
<!-- <phase>process-resources</phase> -->
            <phase>test-compile</phase>
            <goals>
              <goal>execute</goal>
            </goals>
            <configuration>
              <srcFiles>
                <srcFile>${basedir}/src/main/config/fess.ddl</srcFile>
              </srcFiles>
            </configuration>
          </execution>
        </executions>
      </plugin>
    </plugins>
    <extensions>
      <extension>
        <groupId>org.apache.maven.wagon</groupId>
        <artifactId>wagon-ssh-external</artifactId>
        <version>1.0-beta-6</version>
      </extension>
    </extensions>
  </build>
  <pluginRepositories>
    <pluginRepository>
      <id>maven.seasar.org</id>
      <name>The Seasar Foundation Maven2 Repository</name>
      <url>http://maven.seasar.org/maven2/</url>
    </pluginRepository>
    <pluginRepository>
      <id>maven-snapshot.seasar.org</id>
      <name>The Seasar Foundation Maven2 Repository</name>
      <url>http://maven.seasar.org/maven2-snapshot/</url>
    </pluginRepository>
  </pluginRepositories>
  <repositories>
    <repository>
      <id>maven.seasar.org</id>
      <name>The Seasar Foundation Maven2 Repository</name>
      <url>http://maven.seasar.org/maven2/</url>
    </repository>
    <repository>
      <id>maven-snapshot.seasar.org</id>
      <name>The Seasar Foundation Maven2 Repository</name>
      <url>http://maven.seasar.org/maven2-snapshot/</url>
    </repository>
    <repository>
      <id>fess.sourceforge.jp</id>
      <name>Fess Repository</name>
      <url>http://fess.sourceforge.jp/repository/</url>
    </repository>
  </repositories>
  <dependencies>
    <dependency>
      <groupId>com.h2database</groupId>
      <artifactId>h2</artifactId>
      <version>1.2.136</version>
    </dependency>
    <dependency>
      <groupId>jstl</groupId>
      <artifactId>jstl</artifactId>
      <version>1.1.2</version>
    </dependency>
    <dependency>
      <groupId>taglibs</groupId>
      <artifactId>standard</artifactId>
      <version>1.1.2</version>
    </dependency>
    <dependency>
      <groupId>commons-collections</groupId>
      <artifactId>commons-collections</artifactId>
      <version>3.2</version>
    </dependency>
    <dependency>
      <groupId>commons-el</groupId>
      <artifactId>commons-el</artifactId>
      <version>1.0</version>
    </dependency>
    <dependency>
      <groupId>commons-fileupload</groupId>
      <artifactId>commons-fileupload</artifactId>
      <version>1.2.1</version>
    </dependency>
    <dependency>
      <groupId>commons-io</groupId>
      <artifactId>commons-io</artifactId>
      <version>1.4</version>
    </dependency>
    <dependency>
      <groupId>commons-lang</groupId>
      <artifactId>commons-lang</artifactId>
      <version>2.3</version>
    </dependency>
    <dependency>
      <groupId>commons-validator</groupId>
      <artifactId>commons-validator</artifactId>
      <version>1.2.0</version>
      <exclusions>
        <exclusion>
          <groupId>xml-apis</groupId>
          <artifactId>xml-apis</artifactId>
        </exclusion>
      </exclusions>
    </dependency>
    <dependency>
      <groupId>org.slf4j</groupId>
      <artifactId>jcl-over-slf4j</artifactId>
      <version>1.6.0</version>
    </dependency>
    <dependency>
      <groupId>org.slf4j</groupId>
      <artifactId>slf4j-api</artifactId>
      <version>1.6.0</version>
    </dependency>
    <dependency>
      <groupId>org.slf4j</groupId>
      <artifactId>slf4j-log4j12</artifactId>
      <version>1.6.0</version>
    </dependency>
    <dependency>
      <groupId>org.apache.poi</groupId>
      <artifactId>poi</artifactId>
      <version>3.6</version>
    </dependency>
    <dependency>
      <groupId>org.apache.solr</groupId>
      <artifactId>solr-core</artifactId>
      <version>1.4.0</version>
      <exclusions>
        <exclusion>
          <groupId>org.apache.commons</groupId>
          <artifactId>commons-io</artifactId>
        </exclusion>
      </exclusions>
    </dependency>
    <dependency>
      <groupId>org.apache.solr</groupId>
      <artifactId>solr-solrj</artifactId>
      <version>1.4.0</version>
      <exclusions>
        <exclusion>
          <groupId>org.codehaus.woodstox</groupId>
          <artifactId>wstx-asl</artifactId>
        </exclusion>
        <exclusion>
          <groupId>org.apache.commons</groupId>
          <artifactId>commons-io</artifactId>
        </exclusion>
      </exclusions>
    </dependency>
    <dependency>
      <groupId>xalan</groupId>
      <artifactId>xalan</artifactId>
      <version>2.7.1</version>
      <exclusions>
        <exclusion>
          <groupId>xml-apis</groupId>
          <artifactId>xml-apis</artifactId>
        </exclusion>
      </exclusions>
    </dependency>
<!-- Seasar -->
    <dependency>
      <groupId>org.seasar.container</groupId>
      <artifactId>s2-tiger</artifactId>
      <version>2.4.41</version>
    </dependency>
    <dependency>
      <groupId>org.seasar.sastruts</groupId>
      <artifactId>sa-struts</artifactId>
      <version>1.0.4-sp8</version>
    </dependency>
    <dependency>
      <groupId>org.seasar.robot</groupId>
      <artifactId>s2-robot-db-h2</artifactId>
      <version>0.4.1</version>
      <exclusions>
        <exclusion>
          <groupId>xml-apis</groupId>
          <artifactId>xml-apis</artifactId>
        </exclusion>
        <exclusion>
          <groupId>org.bouncycastle</groupId>
          <artifactId>bcprov-jdk15</artifactId>
        </exclusion>
        <exclusion>
          <groupId>org.bouncycastle</groupId>
          <artifactId>bcmail-jdk15</artifactId>
        </exclusion>
      </exclusions>
    </dependency>
    <dependency>
      <groupId>org.seasar.robot</groupId>
      <artifactId>s2-robot-db</artifactId>
      <version>0.4.1</version>
    </dependency>
    <dependency>
      <groupId>org.seasar.dbflute</groupId>
      <artifactId>dbflute-runtime</artifactId>
      <version>0.9.5.1</version>
    </dependency>
    <dependency>
      <groupId>org.seasar.chronos</groupId>
      <artifactId>s2chronos-extension</artifactId>
      <version>1.0.0</version>
      <exclusions>
        <exclusion>
          <groupId>org.apache.geronimo.specs</groupId>
          <artifactId>geronimo-jta_1.1_spec</artifactId>
        </exclusion>
        <exclusion>
          <groupId>org.apache.geronimo.specs</groupId>
          <artifactId>geronimo-ejb_2.1_spec</artifactId>
        </exclusion>
        <exclusion>
          <groupId>org.apache.geronimo.specs</groupId>
          <artifactId>geronimo-ejb_3.0_spec</artifactId>
        </exclusion>
        <exclusion>
          <groupId>org.apache.geronimo.specs</groupId>
          <artifactId>geronimo-jpa_3.0_spec</artifactId>
        </exclusion>
        <exclusion>
          <groupId>org.apache.geronimo.specs</groupId>
          <artifactId>geronimo-annotation_1.0_spec</artifactId>
        </exclusion>
        <exclusion>
          <groupId>junit-addons</groupId>
          <artifactId>junit-addons</artifactId>
        </exclusion>
      </exclusions>
    </dependency>
<!-- Geronimo -->
    <dependency>
      <groupId>org.apache.geronimo.specs</groupId>
      <artifactId>geronimo-annotation_1.0_spec</artifactId>
      <version>1.0</version>
    </dependency>
    <dependency>
      <groupId>org.apache.geronimo.specs</groupId>
      <artifactId>geronimo-ejb_3.0_spec</artifactId>
      <version>1.0</version>
    </dependency>
    <dependency>
      <groupId>org.apache.geronimo.specs</groupId>
      <artifactId>geronimo-interceptor_3.0_spec</artifactId>
      <version>1.0</version>
    </dependency>
    <dependency>
      <groupId>org.apache.geronimo.specs</groupId>
      <artifactId>geronimo-jta_1.1_spec</artifactId>
      <version>1.0</version>
    </dependency>
    <dependency>
      <groupId>org.apache.geronimo.specs</groupId>
      <artifactId>geronimo-jpa_3.0_spec</artifactId>
      <version>1.0</version>
    </dependency>
    <dependency>
      <groupId>org.apache.geronimo.specs</groupId>
      <artifactId>geronimo-jsp_2.0_spec</artifactId>
      <version>1.0</version>
      <scope>provided</scope>
    </dependency>
    <dependency>
      <groupId>org.apache.geronimo.specs</groupId>
      <artifactId>geronimo-servlet_2.4_spec</artifactId>
      <version>1.0</version>
      <scope>provided</scope>
    </dependency>
<!-- Mobylet -->
    <dependency>
      <groupId>org.seasar.mobylet</groupId>
      <artifactId>mobylet-charset</artifactId>
      <version>1.0.5</version>
    </dependency>
    <dependency>
      <groupId>org.seasar.mobylet</groupId>
      <artifactId>mobylet-core</artifactId>
      <version>1.0.5-patch-20100529</version>
    </dependency>
    <dependency>
      <groupId>org.seasar.mobylet</groupId>
      <artifactId>mobylet-taglibs</artifactId>
      <version>1.0.5</version>
    </dependency>
    <dependency>
      <groupId>org.seasar.mobylet</groupId>
      <artifactId>mobylet-s2extension</artifactId>
      <version>1.0.5</version>
    </dependency>
<!-- Jetty -->
    <dependency>
      <groupId>org.mortbay.jetty</groupId>
      <artifactId>jetty</artifactId>
      <version>6.1.20</version>
      <scope>test</scope>
      <exclusions>
        <exclusion>
          <groupId>org.mortbay.jetty</groupId>
          <artifactId>servlet-api</artifactId>
        </exclusion>
      </exclusions>
    </dependency>
<!-- Removed from war -->
    <dependency>
      <groupId>junit</groupId>
      <artifactId>junit</artifactId>
      <version>3.8.2</version>
      <scope>test</scope>
    </dependency>
    <dependency>
      <groupId>org.easymock</groupId>
      <artifactId>easymock</artifactId>
      <version>2.2</version>
      <scope>test</scope>
    </dependency>
    <dependency>
      <groupId>xerces</groupId>
      <artifactId>xercesImpl</artifactId>
      <version>2.8.1</version>
      <exclusions>
        <exclusion>
          <groupId>xml-apis</groupId>
          <artifactId>xml-apis</artifactId>
        </exclusion>
      </exclusions>
    </dependency>
    <dependency>
      <groupId>org.bouncycastle</groupId>
      <artifactId>bcprov-jdk16</artifactId>
      <version>1.45</version>
    </dependency>
    <dependency>
      <groupId>org.bouncycastle</groupId>
      <artifactId>bcmail-jdk16</artifactId>
      <version>1.45</version>
    </dependency>
    <dependency>
      <groupId>args4j</groupId>
      <artifactId>args4j</artifactId>
      <version>2.0.12</version>
    </dependency>
  </dependencies>
</project>
